#define UP				7
#define DOWN			6
#define LEFT			5
#define RIGHT			4

#define BUTTON_REG		DDRA
#define BUTTON_PORT		PORTA
#define BUTTON_PIN		PINA

#define BUZZER_REG		DDRD
#define BUZZER_PORT		PORTD
#define BUZZER_PIN		PD5

#define BUTTON_SURPRISE	PA7
#define BUTTON_ROTATE	PA6
#define BUTTON_LEFT		PA4
#define BUTTON_RIGHT	PA5

#define DISPLAY_WIDTH	18
#define DISPLAY_HEIGHT	18

#define Y_MAX_LEFT		152
#define Y_MIN_RIGHT		26
#define X_MAX_DOWN		127
#define X_MIN_UP		1
#define Y_OFFSET		25

#define EMPTY			0
#define FILLED			1

#define SQUARE_DIM		7
#define PIECES_NO		4

#define max(a,b) \
   ({ __typeof__ (a) _a = (a); \
       __typeof__ (b) _b = (b); \
     _a > _b ? _a : _b; })

#define min(a,b) \
   ({ __typeof__ (a) _a = (a); \
       __typeof__ (b) _b = (b); \
     _a < _b ? _a : _b; })
